QGIS Application - Bug report #19545
Small canvas by default
2018-08-04 03:38 PM - Rodrigo Ventura

Status: Closed

Priority: Normal

Assignee:

Category: OsX Ul

Affected QGIS version:3.2.1 Regression?: No
Operating System: Mac OS X 10.11.6 (El Capitan) Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27372
Description

When opening a fresh new installation of QGIS, or when upgrading from the previous version, the canvas is limited to a small area of the
available space. Please see the attached screenshots.

Related issues:

Duplicates QGIS Application - Bug report # 19524: [macOS] Map canvas with wro... Closed 2018-08-01
History

#1 - 2018-08-05 08:11 AM - Garth Fletcher

- File 3.png added

- File 1.png added

Same issue here on Mac OS X 10.12.6 (Sierra)

Installed from QGIS-macOS-3.2.1-1.dmg downloaded today.

The size of the window section used at startup to show recent projects appears to correspond to the limited area used by the map once the project opens.
Window created via Project > New is similarly limited.

Occurs whether a 3.2.0 project is opened (which gives warning about saving into new and possibly not backwards compatible format) or a 3.2.1 project is

opened.

#2 - 2018-08-05 08:29 AM - Garth Fletcher

Further info

The full map size can be restored by using

View > Panels to select a panel which will

a) be drawn in the main window, and

b) will occupy space next to the small map

For example, the Message Log panel draws full width above the small map window and does NOT trigger the full size map redraw, but the Processing
Toolbox, which draws full height to the right of the small map will trigger the full size redraw.

Anytime QGIS is restarted, it returns to the small map area.

#3 - 2018-08-05 09:28 PM - Garth Fletcher

Further clarification:

When QGIS starts up, changing the project window dimensions (by dragging to lower right corner) also causes the startup Recent Projects window in its

center to scale to maintain its (small) proportion.
Once a project has been opened - whether by selecting from Recent Projects or via Project > Open - the undersized map area behaves the same - i.e., it

scales to maintain its proportion in the window without rescaling to full size.

Using View > Panels > to select a panel which will open within the Project window will only cause the map area to rescale to full size if the Panel forces the

map area to be moved, or if one adjusts the size of the Panel to intrude over the map area and forces it to rescale. In other words, if the Panel is small

enough to fit in the available unused space around the map, then it will not trigger a full size rescaling.

Once the map has gotten scaled to full size it remains OK until QGIS is quit and restarted.

#4 - 2018-08-07 03:23 PM - landry Landry Breuil

Fwiw, i'm experiencing the same issue on OpenBSD, with QGIS 3.2.1 built against QT 5.9.

#5 - 2018-08-07 03:25 PM - landry Landry Breuil

Seems the same issue was reported in #19524

#6 - 2018-08-13 12:25 AM - Rodrigo Ventura
- Status changed from Open to Closed

Then | propose merge with #19524

#7 - 2018-08-13 09:11 AM - Jiirgen Fischer

- Duplicates Bug report #19524: [macOS] Map canvas with wrong size on QGIS 3.2.1 start up added

#8 - 2018-08-13 10:36 AM - Giovanni Manghi
- Resolution set to duplicate
